﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB3020.aspx.cs"
    Inherits="Page_CWAB3020" Title="Untitled Page" %>
<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%" TypeName="AdvancedBudget.CW.Graphs.CWABVariableSubledgerBudgetEntry" 
        PrimaryView="VariableBudgets">
        <CallbackCommands>
            <px:PXDSCallbackCommand CommitChanges="True" Name="CalculateBudget" Visible="False" />
            <px:PXDSCallbackCommand CommitChanges="True" Name="XDuplicateSelectedVar" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand CommitChanges="True" Name="YDuplicateSelectedVar" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand CommitChanges="True" Name="BgmDuplicateSelectedVar" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand CommitChanges="True" Name="CopyVarFromBudgetToXVariables" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand CommitChanges="True" Name="CopyVarFromBudgetToYVariables" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand CommitChanges="True" Name="CopyVarFromBudgetToBgmVariables" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand CommitChanges="True" Name="MultiplyByOne" Visible="False" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand CommitChanges="True" Name="UpdateRelatedVariables"></px:PXDSCallbackCommand>
        </CallbackCommands>
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" DataMember="VariableBudgets" 
        Caption="Varibale Budget Summary"
        NoteIndicator="True" 
        FilesIndicator="True" 
        ActivityIndicator="True" 
        ActivityField="NoteActivity" 
        DefaultControlID="edLedgerId"
        TabIndex="6900" 
        AllowCollapse="true" 
        Expanded="True">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" ></px:PXLayoutRule>
            <px:PXSelector ID="edVariableSubledgerBudgetCD" runat="server" DataField="VariableSubledgerBudgetCD" AutoRefresh="True" CommitChanges="True" />
            <px:PXTextEdit ID="edDescr" runat="server" DataField="Descr"/>
            <px:PXSelector ID="edOrganizationId" runat="server" DataField="OrganizationId" AutoRefresh="True" CommitChanges="True" />
            <px:PXSelector ID="edBranchId" runat="server" DataField="BranchId" AutoRefresh="True" DisplayMode="Hint" CommitChanges="True"/>
            <px:PXLayoutRule runat="server" GroupCaption="Budget Year" />
            <px:PXSelector ID="edStartPeriod" runat="server" DataField="StartPeriod" CommitChanges="True" AutoRefresh="True"/>
            <px:PXSelector ID="edEndPeriod" runat="server" DataField="EndPeriod" AutoRefresh="True"/>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" ></px:PXLayoutRule>
            <px:PXSelector ID="edLedgerId" runat="server" DataField="LedgerId" AutoRefresh="True" CommitChanges="True"/>
            <px:PXSegmentMask ID="edEmployeeId" runat="server" DataField="EmployeeId" />
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:pxtab id="tab" runat="server" width="100%">
        <Items>
            <px:PXTabItem Text="Variables and Projection" RepaintOnDemand="false">
                <Template>
                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" GroupCaption="X Variables" />
                    <px:PXGrid AdjustPageSize="Auto" AutoAdjustColumns="True" ID="gridXVariables" runat="server" Width="100%" RepaintColumns="True"
                                Height="200px" DataSourceID="ds" BorderWidth="0px" SkinID="Details" SyncPosition="True" MatrixMode="True">
                        <Levels>
                            <px:PXGridLevel DataMember="XVariables" DataKeyNames="VariableBudgetId,LineNbr,VariableBudgetDetailId">
                                <RowTemplate>
                                    <px:PXSelector ID="edXBranchId" runat="server" DataField="BranchId" AutoRefresh="True" CommitChanges="True"/>
                                    <px:PXSegmentMask ID="edXSubId" runat="server" DataField="SubaccountId" AutoCallback="true" />
                                    <px:PXSelector ID="PXSelector4" runat="server" DataField="OriginVariableBudgetId" AllowEdit="True" />
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="LineNbr" width="200px"/>
                                    <px:PXGridColumn DataField="VariableAssumptionId" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Description"/>
                                    <px:PXGridColumn DataField="InventoryId" width="200px"/>
                                    <px:PXGridColumn DataField="BudgetGroupId" CommitChanges="True" width="200px"/>
                                    <px:PXGridColumn DataField="BudgetSubGroupId" CommitChanges="True" width="200px"/>
                                    <px:PXGridColumn DataField="AccountId" DisplayMode="Hint" width="200px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="SubaccountId" DisplayMode="Hint" width="200px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="BranchId" width="70px"/>
                                    <px:PXGridColumn DataField="OriginVariableBudgetId" width="70px"/>
                                    <px:PXGridColumn DataField="OriginVariableBudgetType" width="70px"/>
                                    <px:PXGridColumn DataField="OriginLineNbr" width="70px"/>
                                    <px:PXGridColumn DataField="Amount" width="70px"/>
                                    <px:PXGridColumn DataField="Period1" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period2" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period3" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period4" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period5" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period6" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period7" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period8" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period9" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period10" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period11" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period12" width="70px" CommitChanges="True"/>
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <ActionBar Position="TopAndBottom">
                            <CustomItems>
                                <px:PXToolBarButton Text="Duplicate Selected">
                                    <AutoCallBack Command="XDuplicateSelectedVar" Target="ds"/>
                                </px:PXToolBarButton>
                                <px:PXToolBarButton Text="Multiply Selected By One">
                                    <AutoCallBack Command="MultiplyByOne" Target="ds"/>
                                </px:PXToolBarButton>
                                <px:PXToolBarButton Text="Copy Variable from Budget">
                                    <AutoCallBack Command="CopyVarFromBudgetToXVariables" Target="ds"/>
                                </px:PXToolBarButton>
                            </CustomItems>
                        </ActionBar>
                        <Mode InitNewRow="True" AllowUpload="True" />
                    </px:PXGrid>
                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" GroupCaption="Y Variables" />
                    <px:PXGrid AdjustPageSize="Auto" AutoAdjustColumns="True" ID="gridYVariables" runat="server" Width="100%" RepaintColumns="True"
                                Height="200px" DataSourceID="ds" BorderWidth="0px" SkinID="Details" SyncPosition="True" MatrixMode="True">
                        <Levels>
                            <px:PXGridLevel DataMember="YVariables" DataKeyNames="VariableBudgetId,LineNbr,VariableBudgetDetailId">
                                <RowTemplate>
                                    <px:PXSelector ID="PXSelector1" runat="server" DataField="BranchId" AutoRefresh="True" CommitChanges="True"/>
                                    <px:PXSegmentMask ID="PXSegmentMask1" runat="server" DataField="SubaccountId" AutoCallback="true" />
                                    <px:PXSelector ID="PXSelector5" runat="server" DataField="OriginVariableBudgetId" AllowEdit="True" />
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="LineNbr" width="200px"/>
                                    <px:PXGridColumn DataField="VariableAssumptionId" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Description"/>
                                    <px:PXGridColumn DataField="InventoryId" width="200px"/>
                                    <px:PXGridColumn DataField="BudgetGroupId" CommitChanges="True" width="200px"/>
                                    <px:PXGridColumn DataField="BudgetSubGroupId" width="200px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="AccountId" DisplayMode="Hint" width="200px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="SubaccountId" DisplayMode="Hint" width="200px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="BranchId" width="70px"/>
                                    <px:PXGridColumn DataField="OriginVariableBudgetId" width="70px"/>
                                    <px:PXGridColumn DataField="OriginVariableBudgetType" width="70px"/>
                                    <px:PXGridColumn DataField="OriginLineNbr" width="70px"/>
                                    <px:PXGridColumn DataField="Amount" width="70px"/>
                                    <px:PXGridColumn DataField="Period1" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period2" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period3" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period4" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period5" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period6" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period7" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period8" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period9" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period10" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period11" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period12" width="70px" CommitChanges="True"/>
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <ActionBar Position="TopAndBottom">
                            <CustomItems>
                                <px:PXToolBarButton Text="Duplicate Selected">
                                    <AutoCallBack Command="YDuplicateSelectedVar" Target="ds"/>
                                </px:PXToolBarButton>
                                <px:PXToolBarButton Text="Copy Variable from Budget">
                                    <AutoCallBack Command="CopyVarFromBudgetToYVariables" Target="ds"/>
                                </px:PXToolBarButton>
                            </CustomItems>
                        </ActionBar>
                        <Mode InitNewRow="True" AllowUpload="True" />
                    </px:PXGrid>         
                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" GroupCaption="Budget Group Multiplier" />
                    <px:PXGrid AdjustPageSize="Auto" AutoAdjustColumns="True" ID="gridBGMVariables" runat="server" Width="100%" RepaintColumns="True"
                                Height="200px" DataSourceID="ds" BorderWidth="0px" SkinID="Details" SyncPosition="True" MatrixMode="True">
                        <Levels>
                            <px:PXGridLevel DataMember="BudgetGroupMultiplierVariables" DataKeyNames="VariableBudgetId,LineNbr,VariableBudgetDetailId">
                                <RowTemplate>
                                    <px:PXSelector ID="PXSelector2" runat="server" DataField="OriginVariableBudgetId" AllowEdit="True" />
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="LineNbr" width="200px"/>
                                    <px:PXGridColumn DataField="VariableAssumptionId" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Description"/>
                                    <px:PXGridColumn DataField="BudgetGroupId" CommitChanges="True" width="200px"/>
                                    <px:PXGridColumn DataField="OriginVariableBudgetId" width="70px"/>
                                    <px:PXGridColumn DataField="OriginVariableBudgetType" width="70px"/>
                                    <px:PXGridColumn DataField="OriginLineNbr" width="70px"/>
                                    <px:PXGridColumn DataField="Amount" width="70px"/>
                                    <px:PXGridColumn DataField="Period1" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period2" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period3" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period4" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period5" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period6" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period7" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period8" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period9" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period10" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period11" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period12" width="70px" CommitChanges="True"/>
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <ActionBar Position="TopAndBottom">
                            <CustomItems>
                                <px:PXToolBarButton Text="Duplicate Selected">
                                    <AutoCallBack Command="BgmDuplicateSelectedVar" Target="ds"/>
                                </px:PXToolBarButton>
                                <px:PXToolBarButton Text="Copy Variable from Budget">
                                    <AutoCallBack Command="CopyVarFromBudgetToBgmVariables" Target="ds"/>
                                </px:PXToolBarButton>
                            </CustomItems>
                        </ActionBar>
                        <Mode InitNewRow="True" AllowUpload="True" />
                    </px:PXGrid>
                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="S" GroupCaption="Budget Projection" />
                    <px:PXFormView ID="formBudgetProjection" runat="server" RenderStyle="Simple" SkinID="Transparent" DataSourceID="ds" DataMember="CurrentVariableBudget" >
                        <Template>
                            <px:PXDropDown ID="edCalculationStatus" runat="server" DataField="CalculationStatus" />
                        </Template>
                    </px:PXFormView>
                    <px:PXGrid AdjustPageSize="Auto" AutoAdjustColumns="True" ID="gridBudgetProjection" runat="server" Width="100%" RepaintColumns="True"
                                Height="200px" DataSourceID="ds" BorderWidth="0px" SkinID="Details" SyncPosition="True" MatrixMode="True">
                        <Levels>
                            <px:PXGridLevel DataMember="BudgetProjection" DataKeyNames="VariableBudgetId,LineNbr,VariableBudgetDetailId">
                                <RowTemplate>
                                    <px:PXSelector ID="PXSelector3" runat="server" DataField="BranchId" AutoRefresh="True" CommitChanges="True"/>
                                    <px:PXSegmentMask ID="PXSegmentMask2" runat="server" DataField="SubaccountId" AutoCallback="true" />
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="LineNbr" width="200px"/>
                                    <px:PXGridColumn DataField="BudgetGroupId" CommitChanges="True" width="200px"/>
                                    <px:PXGridColumn DataField="Amount" width="70px"/>
                                    <px:PXGridColumn DataField="Period1" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period2" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period3" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period4" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period5" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period6" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period7" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period8" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period9" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period10" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period11" width="70px" CommitChanges="True"/>
                                    <px:PXGridColumn DataField="Period12" width="70px" CommitChanges="True"/>
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <ActionBar Position="TopAndBottom">
                            <CustomItems>
                                <px:PXToolBarButton Text="Calculate">
                                    <AutoCallBack Command="CalculateBudget" Target="ds"/>
                                </px:PXToolBarButton>
                            </CustomItems>
                        </ActionBar>
                        <Mode InitNewRow="True" AllowAddNew="False"/>
                    </px:PXGrid>
                </Template>
             </px:PXTabItem>
        </Items>
    </px:pxtab>
    <px:PXSmartPanel 
        runat="server" 
        Width="800px" 
        ID="CopyVarFromBudgetDlg" 
        LoadOnDemand="True" 
        AutoRepaint="True"
        AutoCallBack-Command="Refresh"
        AutoReload="True"
        CaptionVisible="True" 
        Caption="Copy Variable from Budget" 
        Key="VariableBudgets" 
        CommandSourceID="ds">
            <px:PXFormView 
                runat="server"
                ID="VariableBudgetsFilterForm" 
                SkinID="Transparent" Width="100%" 
                DataSourceID="ds" DataMember="VariableBudgetFilter">
                <Template>
                    <px:PXLayoutRule runat="server" ID="CstPXLayoutRule4" StartColumn="True" LabelsWidth="M" />
                    <px:PXSelector runat="server" ID="edVariableSubledgerBudgetID" DataField="VariableSubledgerBudgetID" CommitChanges="True" />
                </Template>
            </px:PXFormView>
            <px:pxtab id="Pxtab1" runat="server" width="100%">
                <Items>
                    <px:PXTabItem Text="X Variables" RepaintOnDemand="false">
                        <Template>
                            <px:PXGrid AutoSize-Enabled="True" AdjustPageSize="Auto" AutoAdjustColumns="True" ID="PXGrid1" runat="server" Width="100%" RepaintColumns="True"
                                Height="200px" DataSourceID="ds" BorderWidth="0px" SkinID="Inquire" SyncPosition="True" MatrixMode="True"
                                FilesIndicator="False" NoteIndicator="False">
                                <Levels>
                                    <px:PXGridLevel DataMember="XVarialesFromExternalBudget" 
                                        DataKeyNames="VariableBudgetId,LineNbr,VariableBudgetDetailId">
                                        <Columns>
                                            <px:PXGridColumn DataField="Selected" TextAlign="Center" Type="CheckBox" AllowCheckAll="True"
                                                AllowSort="False" AllowMove="False" Width="50px" />
                                            <px:PXGridColumn DataField="LineNbr" Width="100px" />
                                            <px:PXGridColumn DataField="VariableAssumptionId"/>
                                            <px:PXGridColumn DataField="Description"/>
                                            <px:PXGridColumn DataField="InventoryId"/>
                                            <px:PXGridColumn DataField="BudgetGroupId"/>
                                            <px:PXGridColumn DataField="BudgetSubGroupId"/>
                                            <px:PXGridColumn DataField="AccountId" DisplayMode="Hint"/>
                                            <px:PXGridColumn DataField="SubaccountId" DisplayMode="Hint"/>
                                            <px:PXGridColumn DataField="BranchId"/>
                                            <px:PXGridColumn DataField="Amount"/>
                                        </Columns>
                                    </px:PXGridLevel>
                                </Levels>
                                <Mode AllowAddNew="false" AllowDelete="false"/>
                            </px:PXGrid>
                        </Template>
                    </px:PXTabItem>
                    <px:PXTabItem Text="Y Variables" RepaintOnDemand="false">
                        <Template>
                            <px:PXGrid AutoSize-Enabled="True" AdjustPageSize="Auto" AutoAdjustColumns="True" ID="PXGrid2" runat="server" Width="100%" RepaintColumns="True"
                                Height="200px" DataSourceID="ds" BorderWidth="0px" SkinID="Inquire" SyncPosition="True" MatrixMode="True"
                                FilesIndicator="False" NoteIndicator="False">
                                <Levels>
                                    <px:PXGridLevel DataMember="YVarialesFromExternalBudget" 
                                        DataKeyNames="VariableBudgetId,LineNbr,VariableBudgetDetailId">
                                        <Columns>
                                            <px:PXGridColumn DataField="Selected" TextAlign="Center" Type="CheckBox" AllowCheckAll="True"
                                                AllowSort="False" AllowMove="False" Width="50px" />
                                            <px:PXGridColumn DataField="LineNbr" Width="100px" />
                                            <px:PXGridColumn DataField="VariableAssumptionId"/>
                                            <px:PXGridColumn DataField="Description"/>
                                            <px:PXGridColumn DataField="InventoryId"/>
                                            <px:PXGridColumn DataField="BudgetGroupId"/>
                                            <px:PXGridColumn DataField="BudgetSubGroupId"/>
                                            <px:PXGridColumn DataField="AccountId" DisplayMode="Hint"/>
                                            <px:PXGridColumn DataField="SubaccountId" DisplayMode="Hint"/>
                                            <px:PXGridColumn DataField="BranchId"/>
                                            <px:PXGridColumn DataField="Amount"/>
                                        </Columns>
                                    </px:PXGridLevel>
                                </Levels>
                                <Mode AllowAddNew="false" AllowDelete="false"/>
                            </px:PXGrid>
                        </Template>
                    </px:PXTabItem>
                    <px:PXTabItem Text="BGM Variables" RepaintOnDemand="false">
                        <Template>
                            <px:PXGrid AutoSize-Enabled="True" AdjustPageSize="Auto" AutoAdjustColumns="True" ID="PXGrid3" runat="server" Width="100%" RepaintColumns="True"
                                Height="200px" DataSourceID="ds" BorderWidth="0px" SkinID="Inquire" SyncPosition="True" MatrixMode="True"
                                FilesIndicator="False" NoteIndicator="False">
                                <Levels>
                                    <px:PXGridLevel DataMember="BgmVarialesFromExternalBudget" 
                                        DataKeyNames="VariableBudgetId,LineNbr,VariableBudgetDetailId">
                                        <Columns>
                                            <px:PXGridColumn DataField="Selected" TextAlign="Center" Type="CheckBox" AllowCheckAll="True"
                                                AllowSort="False" AllowMove="False" Width="50px" />
                                            <px:PXGridColumn DataField="LineNbr" Width="100px" />
                                            <px:PXGridColumn DataField="VariableAssumptionId"/>
                                            <px:PXGridColumn DataField="Description"/>
                                            <px:PXGridColumn DataField="BudgetGroupId"/>
                                            <px:PXGridColumn DataField="Amount"/>
                                        </Columns>
                                    </px:PXGridLevel>
                                </Levels>
                                <Mode AllowAddNew="false" AllowDelete="false"/>
                            </px:PXGrid>
                        </Template>
                    </px:PXTabItem>
                    <px:PXTabItem Text="Budget Projetion" RepaintOnDemand="false">
                        <Template>
                            <px:PXGrid AutoSize-Enabled="True" AdjustPageSize="Auto" AutoAdjustColumns="True" ID="PXGrid4" runat="server" Width="100%" RepaintColumns="True"
                                Height="200px" DataSourceID="ds" BorderWidth="0px" SkinID="Inquire" SyncPosition="True" MatrixMode="True"
                                FilesIndicator="False" NoteIndicator="False">
                                <Levels>
                                    <px:PXGridLevel DataMember="ProjectionVarialesFromExternalBudget" 
                                        DataKeyNames="VariableBudgetId,LineNbr,VariableBudgetDetailId">
                                        <Columns>
                                            <px:PXGridColumn DataField="Selected" TextAlign="Center" Type="CheckBox" AllowCheckAll="True"
                                                AllowSort="False" AllowMove="False" Width="50px" />
                                            <px:PXGridColumn DataField="LineNbr" Width="100px" />
                                            <px:PXGridColumn DataField="VariableAssumptionId"/>
                                            <px:PXGridColumn DataField="Description"/>
                                            <px:PXGridColumn DataField="BudgetGroupId"/>
                                            <px:PXGridColumn DataField="Amount"/>
                                        </Columns>
                                    </px:PXGridLevel>
                                </Levels>
                                <Mode AllowAddNew="false" AllowDelete="false"/>
                            </px:PXGrid>
                        </Template>
                    </px:PXTabItem>
                </Items>
            </px:pxtab>  
            <px:PXPanel runat="server" ID="CWABEventPanel" SkinID="Buttons">
                <px:PXButton runat="server" ID="btnCopy" Text="Copy Selected Variables" DialogResult="OK" />
                <px:PXButton runat="server" ID="btnCancel" Text="Cancel" DialogResult="No" />
            </px:PXPanel>
    </px:PXSmartPanel>
</asp:Content>