﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormTab.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB5010.aspx.cs" 
    Inherits="Page_CWAB5010" Title="Employee Subledger Budgets" %>

<%@ Register TagPrefix="px_m" Namespace="CWABExpressionControl.Controls" Assembly="CWABExpressionControl" %>
<%@ MasterType VirtualPath="~/MasterPages/FormTab.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" Width="100%" runat="server" Visible="true" PrimaryView="EmployeeBudgets"
        TypeName="AdvancedBudget.CW.Graphs.CWABEmployeeBudgetMaint" >
        <CallbackCommands>
            <px:PXDSCallbackCommand CommitChanges="True" Name="CaclulateDeduction" Visible="False" />
        </CallbackCommands>
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:pxformview id="form" runat="server" width="100%" caption="Employee Subledger Budgets" datasourceid="ds" noteindicator="True" 
                   filesindicator="True" activityindicator="True" activityfield="NoteActivity" datamember="EmployeeBudgets" defaultcontrolid="edEmployeeBudgetCd">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="S" />
            <px:PXSelector ID="edEmployeeBudgetCd" runat="server" DataField="EmployeeBudgetCd" AutoRefresh="True" CommitChanges="True" />
            <px:PXLayoutRule runat="server" StartColumn="False" LabelsWidth="SM" ControlSize="XM" />
            <px:PXSelector ID="edInternalEmployee" runat="server" DataField="InternalEmployee" CommitChanges="True" AllowEdit="True" DataSourceID="ds" />
            <px:PXTextEdit ID="edFutureEmployee" runat="server" AlreadyLocalized="False" DataField="FutureEmployee" />
            <px:PXLayoutRule runat="server" StartColumn="False" LabelsWidth="S" ControlSize="S" />
            <px:PXDropDown ID="edEmploymentType" runat="server" DataField="EmploymentType" CommitChanges="True" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
            <px:PXSelector ID="edFiscalYear" runat="server" DataField="FiscalYear" CommitChanges="True" OnValueChanged="edFiscalYear_OnValueChanged" />
            <px:PXLayoutRule runat="server" StartColumn="False" LabelsWidth="S" ControlSize="M" />
            <px:PXSelector ID="edOrganizationId" runat="server" DataField="OrganizationId" AutoRefresh="True" CommitChanges="True" />
            <px:PXSelector ID="edLedgerId" runat="server" DataField="LedgerId" AutoRefresh="True" CommitChanges="True"/>
            <px:PXSelector ID="selectorBranchId" runat="server" DataField="BranchId" AutoRefresh="True" DisplayMode="Hint" CommitChanges="True"/>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="S" />
            <px:PXNumberEdit ID="edContractedFte" runat="server" DataField="ContractedFte" CommitChanges="True" />
            <px:PXNumberEdit ID="edExpectedFte" runat="server" DataField="ExpectedFte" Enabled="False" />
            <px:PXNumberEdit ID="edExpectedHours" runat="server" DataField="ExpectedHours" Enabled="False" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="S" />
            <px:PXTextEdit ID="edStatus" runat="server" AlreadyLocalized="False" DataField="Status" />
        </Template>
    </px:pxformview>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:pxtab id="tab" runat="server" width="100%">
        <Items>
            <px:PXTabItem Text="Amount/Account" RepaintOnDemand="false">
                <Template>
                    <px:PXFormView ID="formPayRate" runat="server" DataMember="CurrentEmployeeBudget" RenderStyle="Simple" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" GroupCaption="Pay Rate" />
                            <px:PXSelector ID="edPayRateAccountId" runat="server" DataField="PayRateAccountId" AutoRefresh="True" CommitChanges="True" />
                        </Template>
                    </px:PXFormView>
                    <px:PXGrid ID="gridPayRate" runat="server" Height="150px" Width="700px" DataSourceID="ds" BorderWidth="0px" 
                               SkinID="Details" KeepPosition="True" SyncPosition="True">
                        <Levels>
                            <px:PXGridLevel DataMember="PayRateDetail">
                                <Columns>
                                    <px:PXGridColumn DataField="HourlyAmount" Width="100px" CommitChanges="True" />
                                    <px:PXGridColumn DataField="AnnualAmount" TextAlign="Right" Width="100px" />
                                    <px:PXGridColumn DataField="StartDate" TextAlign="Right" Width="100px" CommitChanges="True" />
                                    <px:PXGridColumn DataField="EndDate" TextAlign="Right" Width="100px" CommitChanges="True" />
                                    <px:PXGridColumn DataField="FteAmount" TextAlign="Right" Width="100px" />
                                    <px:PXGridColumn DataField="SalaryPerTier" TextAlign="Right" Width="120px" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <Mode InitNewRow="True" AllowUpload="True" />
                    </px:PXGrid>
                    <px:PXFormView ID="formTotalSalary" runat="server" DataMember="CurrentEmployeeBudget" RenderStyle="Simple" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="SM" />
                            <px:PXNumberEdit ID="edTotalSalary" runat="server" DataField="TotalSalary" Enabled="False" />
                            <px:PXNumberEdit ID="edTotalIncomeAmount" runat="server" DataField="TotalIncomeAmount" Enabled="False" />
                        </Template>
                    </px:PXFormView>
                    <px:PXLayoutRule runat="server" StartColumn="False" LabelsWidth="S" ControlSize="XM" GroupCaption="Deductions" />
                    <px:PXGrid ID="grdDeductions" runat="server" Height="120px" Width="700px" DataSourceID="ds"
                               BorderWidth="0px" SkinID="Details" KeepPosition="True" SyncPosition="True">
                        <Levels>
                            <px:PXGridLevel DataMember="Deductions">
                                <RowTemplate>
                                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="M" ControlSize="XM" />
                                    <px_m:ExpressionControl ID="edDeductionValue" runat="server" DataSourceID="ds" DataField="Value" CssClass="dropDown">
                                        <EditorStyle CssClass="editor" />
                                    </px_m:ExpressionControl>
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="DeductionAccount" Width="100px" CommitChanges="True" />
                                    <px:PXGridColumn DataField="Description" TextAlign="Right" Width="200px" />
                                    <px:PXGridColumn DataField="Value" TextAlign="Right" Width="200px" />
                                    <px:PXGridColumn DataField="Result" TextAlign="Right" Width="100px" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <ActionBar Position="TopAndBottom">
                            <CustomItems>
                                <px:PXToolBarButton Text="Calculate">
                                    <AutoCallBack Command="CaclulateDeduction" Target="ds"/>
                                </px:PXToolBarButton>
                            </CustomItems>
                        </ActionBar>
                        <Mode InitNewRow="True" AllowUpload="True" />
                    </px:PXGrid>
                    <px:PXLayoutRule runat="server" StartColumn="True" SuppressLabel="True" />
                    <px:PXFormView ID="formBonus" runat="server" DataMember="CurrentEmployeeBudget" RenderStyle="Simple" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" GroupCaption="Bonus" />
                            <px:PXSelector ID="edBonusAccountId" runat="server" DataField="BonusAccountId" AutoRefresh="True" CommitChanges="True" />
                        </Template>
                    </px:PXFormView>
                    <px:PXGrid ID="grdBonus" runat="server" Height="150px" Width="700px" DataSourceID="ds" BorderWidth="0px" 
                               SkinID="Details" KeepPosition="True" SyncPosition="True">
                        <Levels>
                            <px:PXGridLevel DataMember="BonusDetail">
                                <Columns>
                                    <px:PXGridColumn DataField="AnnualAmount" TextAlign="Right" Width="100px" CommitChanges="True" />
                                    <px:PXGridColumn DataField="StartDate" TextAlign="Right" Width="100px" CommitChanges="True" />
                                    <px:PXGridColumn DataField="EndDate" TextAlign="Right" Width="100px" CommitChanges="True" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <Mode InitNewRow="True" AllowUpload="True" />
                    </px:PXGrid>
                    <px:PXFormView ID="formTotalBonus" runat="server" DataMember="CurrentEmployeeBudget" RenderStyle="Simple" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="SM" />
                            <px:PXNumberEdit ID="edTotalBonus" runat="server" DataField="TotalBonus" Enabled="False" />
                        </Template>
                    </px:PXFormView>
                    <px:PXFormView ID="formOvertime" runat="server" DataMember="CurrentEmployeeBudget" RenderStyle="Simple" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" GroupCaption="Overtime" />
                            <px:PXSelector ID="edOvertimeAccountId" runat="server" DataField="OvertimeAccountId" AutoRefresh="True" CommitChanges="True" />
                            <px:PXNumberEdit ID="edOvertimeHourlyAmount" runat="server" DataField="OvertimeHourlyAmount" CommitChanges="True" />
                            <px:PXNumberEdit ID="edOvertimeAnnualAmount" runat="server" DataField="OvertimeAnnualAmount" Enabled="False" />
                        </Template>
                    </px:PXFormView>
                </Template>
            </px:PXTabItem>
            <px:PXTabItem Text="FTE/Subaccount" RepaintOnDemand="false">
                <Template>
                    <px:PXFormView ID="formSalarySplit" runat="server" RenderStyle="Simple" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" GroupCaption="Pay Split" />
                            <px:PXGrid AdjustPageSize="Auto" AutoAdjustColumns="True" ID="gridSalarySplit" runat="server" Width="100%" 
                                       Height="200px" DataSourceID="ds" BorderWidth="0px" SkinID="Details" SyncPosition="True">
                                <Levels>
                                    <px:PXGridLevel DataMember="SalarySplits">
                                        <RowTemplate>
                                            <px:PXSelector ID="edBranchId" runat="server" DataField="BranchId" AutoRefresh="True" CommitChanges="True"/>
                                            <px:PXSelector ID="salaryOrganizationId" runat="server" DataField="OrganizationId" AutoRefresh="True" />
                                            <px:PXSegmentMask ID="salarySubId" runat="server" DataField="SubaccountId" AutoCallback="true" />
                                        </RowTemplate>
                                        <Columns>
                                            <px:PXGridColumn DataField="OrganizationId" Width="100px" CommitChanges="True"/>
                                            <px:PXGridColumn DataField="BranchId" Width="100px" CommitChanges="True"/>
                                            <px:PXGridColumn DataField="SubaccountId" Width="100px" CommitChanges="True"/>
                                            <px:PXGridColumn DataField="Description" Width="100px"/>
                                            <px:PXGridColumn DataField="FteAmount" Width="100px" CommitChanges="True"/>
                                            <px:PXGridColumn DataField="Hours" Width="100px" CommitChanges="True"/>
                                        </Columns>
                                    </px:PXGridLevel>
                                </Levels>
                                <Mode InitNewRow="True" AllowUpload="True" />
                                <AutoSize Enabled="True" MinHeight="200" />
                            </px:PXGrid>
                            <px:PXFormView RenderStyle="Simple" runat="server" ID="formRemainingAmounts" DataMember="CurrentEmployeeBudget" SkinID="Transparent" >
                                <Template>
                                    <px:PXLayoutRule runat="server" ID="CstPXLayoutRule2" StartColumn="True" ></px:PXLayoutRule>
                                    <px:PXNumberEdit CommitChanges="True" runat="server" ID="numberEditRemainingFte" DataField="RemainingFte" ></px:PXNumberEdit>
                                    <px:PXNumberEdit CommitChanges="True" runat="server" ID="numberEditRemainingHours" DataField="RemainingHours" ></px:PXNumberEdit>
                                </Template>
                            </px:PXFormView>
                        </Template>
                    </px:PXFormView>
                    <px:PXFormView ID="formOvertimeSplit" runat="server" RenderStyle="Simple" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" GroupCaption="Overtime Split" />
                            <px:PXGrid AdjustPageSize="Auto" AutoAdjustColumns="True" ID="gridOvertimeSplit" runat="server" Width="100%" Height="200px" DataSourceID="ds"
                               BorderWidth="0px" SkinID="Details" SyncPosition="True">
                            <Levels>
                                <px:PXGridLevel DataMember="OvertimeSplits">
                                    <RowTemplate>
                                        <px:PXSelector ID="edBranchId2" runat="server" DataField="BranchId" AutoRefresh="True" />
                                        <px:PXSelector ID="overtimeOrganizationId" runat="server" DataField="OrganizationId" AutoRefresh="True" />
                                        <px:PXSegmentMask ID="overtimeSubId" runat="server" DataField="SubaccountId" AutoCallback="true" />
                                    </RowTemplate>
                                    <Columns>
                                        <px:PXGridColumn DataField="OrganizationId" Width="100px" CommitChanges="True"/>
                                        <px:PXGridColumn DataField="BranchId" Width="100px" CommitChanges="True"/>
                                        <px:PXGridColumn DataField="SubaccountId" Width="100px" CommitChanges="True" />
                                        <px:PXGridColumn DataField="Description" Width="100px" />
                                        <px:PXGridColumn DataField="FteAmount" Width="100px" CommitChanges="True" />
                                        <px:PXGridColumn DataField="Hours" Width="100px" CommitChanges="True" />
                                    </Columns>
                                </px:PXGridLevel>
                            </Levels>
                                <Mode InitNewRow="True" AllowUpload="True" />
                                <AutoSize Enabled="True" MinHeight="200" />
                        </px:PXGrid>
                            <px:PXFormView RenderStyle="Simple" runat="server" ID="formTotalOvertimeAmounts" DataMember="CurrentEmployeeBudget" SkinID="Transparent" >
                                <Template>
                                    <px:PXLayoutRule runat="server" ID="PXLayoutRule1" LabelsWidth="SM" StartColumn="True" ></px:PXLayoutRule>
                                    <px:PXNumberEdit CommitChanges="True" runat="server" ID="numberEditTotalOvertimeFte" DataField="TotalOvertimeFte" ></px:PXNumberEdit>
                                    <px:PXNumberEdit CommitChanges="True" runat="server" ID="numberEditTotalOvertimeHours" DataField="TotalOvertimeHours" ></px:PXNumberEdit>
                                </Template>
                            </px:PXFormView>
                    </Template>
                </px:PXFormView>
                <px:PXFormView ID="formBonusSplit" runat="server" RenderStyle="Simple" SkinID="Transparent">
                    <Template>
                        <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="M" GroupCaption="Bonus Split" />
                        <px:PXGrid AdjustPageSize="Auto" AutoAdjustColumns="True" ID="gridBonusSplit" runat="server" Width="100%" Height="200px" DataSourceID="ds"
                               BorderWidth="0px" SkinID="Details" SyncPosition="True">
                            <Levels>
                                <px:PXGridLevel DataMember="BonusSplits">
                                    <RowTemplate>
                                        <px:PXSelector ID="edBranchId3" runat="server" DataField="BranchId" AutoRefresh="True" />
                                        <px:PXSelector ID="bonusOrganizationId" runat="server" DataField="OrganizationId" AutoRefresh="True" />
                                        <px:PXSegmentMask ID="bonusSubId" runat="server" DataField="SubaccountId" AutoCallback="true" />
                                    </RowTemplate>
                                    <Columns>
                                        <px:PXGridColumn DataField="OrganizationId" Width="100px" CommitChanges="True" />
                                        <px:PXGridColumn DataField="BranchId" Width="100px" CommitChanges="True" />
                                        <px:PXGridColumn DataField="SubaccountId" Width="100px" CommitChanges="True" />
                                        <px:PXGridColumn DataField="Description" Width="100px" />
                                        <px:PXGridColumn DataField="StartDate" TextAlign="Right" Width="100px" CommitChanges="True" />
                                        <px:PXGridColumn DataField="EndDate" TextAlign="Right" Width="100px" CommitChanges="True" />
                                        <px:PXGridColumn DataField="SplitPercentage" Width="100px" CommitChanges="True" />
                                    </Columns>
                                </px:PXGridLevel>
                            </Levels>
                            <Mode InitNewRow="True" AllowUpload="True" />
                            <AutoSize Enabled="True" MinHeight="200" />
                        </px:PXGrid>
                    </Template>
                </px:PXFormView>
                </Template>
            </px:PXTabItem>
            <px:PXTabItem Text="Distribution" RepaintOnDemand="false">
                <Template>
                    <px:PXGrid ID="grdEmployeeBudgetDistribution" runat="server" Caption="Distributions" Height="470px" Style="z-index: 100" 
                               RepaintColumns="True" AllowPaging="False" Width="100%" ActionsPosition="Top" SkinID="Details" TabIndex="1100" 
                               DataSourceID="ds" KeepPosition="True" SyncPosition="True">
                        <Levels>
                            <px:PXGridLevel DataMember="CWABDistributions">
                                <RowTemplate>
                                    <px:PXSegmentMask ID="distrSubId" runat="server" DataField="SubaccountId" AutoCallback="true" />
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="AccountId" DisplayMode="Hint"/>
                                    <px:PXGridColumn DataField="SubaccountId" DisplayMode="Hint"/>
                                    <px:PXGridColumn DataField="BranchId" />
                                    <px:PXGridColumn DataField="Amount" />
                                    <px:PXGridColumn DataField="DistributedAmount" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <ActionBar>
                            <Actions>
                                <AddNew Enabled="False" />
                                <EditRecord Enabled="False" />
                                <Delete Enabled="False" />
                            </Actions>
                        </ActionBar>
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
        </Items>
    </px:pxtab>
</asp:Content>
