﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB6040.aspx.cs"
    Inherits="Page_CWAB6040" Title="Approve Budget Allocations" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" Width="100%" runat="server" Visible="true" PrimaryView="Filter"
                     TypeName="AdvancedBudget.CW.Graphs.CWABCopyBudgetProcess">
        <CallbackCommands>
            <px:PXDSCallbackCommand Name="Process" Visible="False" />
            <px:PXDSCallbackCommand Name="ProcessAll" Visible="False" />
            <px:PXDSCallbackCommand Name="CopyBudgetAction" CommitChanges="true" />
            <px:PXDSCallbackCommand Name="CopyBudgetActionAll" CommitChanges="true" />
        </CallbackCommands>
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form1" runat="server" Width="100%" DataMember="Filter" DataSourceID="ds">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edOrganizationId" runat="server" DataField="OrganizationId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" Required="True" />
            <px:PXSelector ID="edBranchId" runat="server" DataField="BranchId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
            <px:PXSelector ID="edLedgerId" runat="server" DataField="LedgerId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" Required="True" />
            <px:PXSelector ID="edFiscalYear" runat="server" DataField="FiscalYear" CommitChanges="True" DataSourceID="ds" Required="True" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edCopyToLedger" runat="server" DataField="CopyLedgerId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
            <px:PXSelector ID="edCopyFiscalYear" runat="server" DataField="CopyFiscalYear" CommitChanges="true" AutoRefresh="True" DataSourceID="ds" />
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:PXGrid ID="grdBudgetArticles" runat="server" Caption="Budgets" Height="510px" Style="z-index: 100" RepaintColumns="True" AllowPaging="True" AdjustPageSize="Auto"
               Width="100%" ActionsPosition="Top" SkinID="Details" TabIndex="1100" DataSourceID="ds" KeepPosition="True" SyncPosition="True">
        <Levels>
            <px:PXGridLevel DataMember="BudgetArticles">
                <RowTemplate>
                    <px:PXCheckBox ID="chkSelected" runat="server" DataField="Selected" AlreadyLocalized="False" CommitChanges="True"/>
                </RowTemplate>
                <Columns>
                    <px:PXGridColumn DataField="Selected" TextAlign="Center" Type="CheckBox" AllowCheckAll="True"
                                     AllowSort="False" AllowMove="False" Width="30px" />
                    <px:PXGridColumn DataField="AccountID" Width="80px" AutoCallBack="True" />
                    <px:PXGridColumn DataField="SubID" Width="108px" AutoCallBack="True" />
                    <px:PXGridColumn DataField="Description" Width="108px" AllowSort="False" />
                    <px:PXGridColumn DataField="BranchID" Width="100" CommitChanges="True" />
                    <px:PXGridColumn DataField="Amount" TextAlign="Right" Width="100px" />
                    <px:PXGridColumn DataField="AllocatedAmount" TextAlign="Right" Width="100px" />
                </Columns>
            </px:PXGridLevel>
        </Levels>
        <ActionBar>
            <Actions>
                <AddNew Enabled="False" />
                <Delete Enabled="False" />
            </Actions>
        </ActionBar>
        <Mode InitNewRow="True" AllowUpload="True" AllowUpdate ="False"/>
    </px:PXGrid>
</asp:Content>
