﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/TabView.master" AutoEventWireup="True" ValidateRequest="False"
    CodeFile="CWAB2010.aspx.cs" Inherits="Page_CWAB2010" Title="Advanced Budgeting Preferences" %>

<%@ MasterType VirtualPath="~/MasterPages/TabView.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%"
        TypeName="AdvancedBudget.CW.Graphs.CWABAssumptionSetupMaint" PrimaryView="Setup" BorderStyle="NotSet">
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXTab ID="tab" runat="server" Height="669px" Width="100%" DefaultControlID="edEventColumnNumberingSequenceId" TabIndex="100" DataMember="Setup" DataSourceID="ds">
        <Items>
            <px:PXTabItem Text="General Settings">
                <Template>
                    <px:PXLayoutRule runat="server" ControlSize="L" LabelsWidth="L" />
                    <px:PXFormView ID="formA" runat="server" Caption="Numbering Preferences" DataMember="Setup" DataSourceID="ds" RenderStyle="Fieldset">
                        <Template>
                            <px:PXLayoutRule runat="server" ControlSize="M" LabelsWidth="XL" />
                            <px:PXSelector ID="edEventColumnNumberingSequenceId" runat="server" DataField="EventColumnNumberingSequenceId" AllowEdit="True" />
                            <px:PXSelector ID="edBudgetAllocationNumberingSequenceId" runat="server" DataField="BudgetAllocationNumberingSequenceId" AllowEdit="True" />
                            <px:PXSelector ID="edVariableSubledgerBudgetNumberingSequenceID" runat="server" DataField="VariableSubledgerBudgetNumberingSequenceID" AllowEdit="True" />
                            <px:PXNumberEdit ID="edDecimalPlaces" runat="server" DataField="DecimalPlaces" Size="XXS"/>
                            <px:PXSelector ID="edDefaultCurrencyVariableID" runat="server" DataField="DefaultCurrencyVariableID" AllowEdit="True" />
                            <px:PXSelector ID="edDefaultNumberVariableID" runat="server" DataField="DefaultNumberVariableID" AllowEdit="True" />
                            <px:PXSelector ID="edAssignmentMapID" runat="server" DataField="AssignmentMapID" TextField="Name" AllowEdit="True" />
                            <px:PXSelector ID="edAssignmentNotificationID" runat="server" DataField="AssignmentNotificationID" TextField="Name" AllowEdit="True" />
                            <px:PXSelector ID="edSuperUserRole" runat="server" DataField="SuperUserRole"/>
                            <px:PXCheckBox ID="edLockSubmittedBudgetLines" runat="server" DataField="LockSubmittedBudgetLines" AlignLeft="True"/>
                            <px:PXCheckBox ID="edEnableSubAcctVisibilyRestrictions" runat="server" DataField="EnableSubAcctVisibilyRestrictions" AlignLeft="True"/>
                        </Template>
                    </px:PXFormView>
                    <px:PXFormView ID="employeeSubledgerSettingsForm" runat="server" Caption="Employee Subledger Preferences" DataMember="Setup" DataSourceID="ds" RenderStyle="Fieldset">
                        <Template>
                            <px:PXLayoutRule runat="server" ControlSize="M" LabelsWidth="XL" />
                            <px:PXSelector ID="PXSelector2" runat="server" DataField="EmployeeBudgetNumberingSequenceId" AllowEdit="True" />
                            <px:PXSelector ID="PXSelector3" runat="server" DataField="DefaultPayrateAccountID" AllowEdit="True" />
                            <px:PXSelector ID="PXSelector1" runat="server" DataField="DefaultBonusAccountID" AllowEdit="True" />
                            <px:PXSelector ID="PXSelector4" runat="server" DataField="DefaultOvertimeAccountID" AllowEdit="True" />
                        </Template>
                    </px:PXFormView>
                </Template>
            </px:PXTabItem>
            <px:PXTabItem RepaintOnDemand="false" Text="Hour per Year/ Days">
                <Template>
                    <px:PXGrid SkinID="Details" Width="100%" runat="server" ID="gridHoursPerYear">
                        <Levels>
                            <px:PXGridLevel DataMember="HoursPerYear" >
                                <Columns>
                                    <px:PXGridColumn CommitChanges="True" DataField="Year" Width="100" ></px:PXGridColumn>
                                    <px:PXGridColumn DataField="Hours" Width="100" ></px:PXGridColumn>
                                    <px:PXGridColumn DataField="Days" Width="100" ></px:PXGridColumn>
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <AutoSize Enabled="True" MinHeight="400" MinWidth="300" Container="Window" ></AutoSize>
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
        </Items>
    </px:PXTab>
</asp:Content>