﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB2020.aspx.cs"
    Inherits="Page_CWAB2020" Title="Untitled Page" %>
<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%" TypeName="AdvancedBudget.CW.Graphs.CWABBudgetGroupMaint" PrimaryView="BudgetGroups">
        <CallbackCommands>
            <px:PXDSCallbackCommand Name="Save" CommitChanges="True" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand Name="Insert" PostData="Self" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand Name="First" PostData="Self" StartNewGroup="true" ></px:PXDSCallbackCommand>
            <px:PXDSCallbackCommand Name="Last" PostData="Self" ></px:PXDSCallbackCommand>
        </CallbackCommands>
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" DataMember="BudgetGroups" 
        Caption="Budget Group Summary"
        NoteIndicator="True" 
        FilesIndicator="True" 
        ActivityIndicator="True" 
        ActivityField="NoteActivity" 
        DefaultControlID="edGroupCD"
        TabIndex="6900" 
        AllowCollapse="true" 
        Expanded="True">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" ></px:PXLayoutRule>
            <px:PXSelector ID="edGroupCD" runat="server" DataField="GroupCD" AutoRefresh="True" ></px:PXSelector>
            <px:PXTextEdit ID="edDescr" runat="server" DataField="Descr" ></px:PXTextEdit>
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:PXTab ID="tab" runat="server" Width="100%" DataSourceID="ds">
        <Items>
            <px:PXTabItem Text="Sub Budget Groups">
                <Template>
                    <px:PXGrid ID="grid" runat="server" DataSourceID="ds" Height="150px" Style="z-index: 100; left: 0px; top: 0px;" Width="100%"
                        ActionsPosition="Top" TabIndex="150" SkinID="Details" AdjustPageSize="Auto" AllowPaging="True">
                        <Levels>
                            <px:PXGridLevel DataMember="BudgetSubGroups">
                                <Columns>
                                    <px:PXGridColumn DataField="SubGroupCD" CommitChanges="True"></px:PXGridColumn>
                                    <px:PXGridColumn DataField="Descr"></px:PXGridColumn>
                                    <px:PXGridColumn DataField="IsDefault" TextAlign="Center" Type="CheckBox"></px:PXGridColumn>
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <AutoSize Enabled="True" MinHeight="150" ></AutoSize>
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
        </Items>
        <AutoSize Container="Window" Enabled="True" MinHeight="150" ></AutoSize>
    </px:PXTab>
    <%--Change ID dialog--%>
    <px:PXSmartPanel ID="pnlChangeID" runat="server" Caption="Specify New ID"
        CaptionVisible="true" DesignView="Hidden" LoadOnDemand="true" Key="ChangeIDDialog" CreateOnDemand="false" AutoCallBack-Enabled="true"
        AutoCallBack-Target="formChangeID" AutoCallBack-Command="Refresh" CallBackMode-CommitChanges="True" CallBackMode-PostData="Page"
        AcceptButtonID="btnOK">
        <px:PXFormView ID="formChangeID" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" CaptionVisible="False"
            DataMember="ChangeIDDialog">
            <ContentStyle BackColor="Transparent" BorderStyle="None" ></ContentStyle>
            <Template>
                <px:PXLayoutRule ID="rlAcctCD" runat="server" StartColumn="True" LabelsWidth="S" ControlSize="XM" ></px:PXLayoutRule>
                <px:PXTextEdit ID="edAcctCD" runat="server" DataField="CD" ></px:PXTextEdit>
            </Template>
        </px:PXFormView>
        <px:PXPanel ID="pnlChangeIDButton" runat="server" SkinID="Buttons">
            <px:PXButton ID="btnOK" runat="server" DialogResult="OK" Text="OK">
                <AutoCallBack Target="formChangeID" Command="Save" ></AutoCallBack>
            </px:PXButton>
            <px:PXButton ID="btnCancel" runat="server" DialogResult="Cancel" Text="Cancel" ></px:PXButton>
        </px:PXPanel>
    </px:PXSmartPanel>
</asp:Content>