﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB3010.aspx.cs"
Inherits="Page_CWAB3010" Title="General Subledger Configuration" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" Width="100%" runat="server" Visible="true" PrimaryView="CWABView"
                     TypeName="AdvancedBudget.CW.Graphs.CWABViewMaint" >
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form" runat="server" Width="100%" DataMember="CWABView" Caption="Fiscal Year" DefaultControlID="edViewId">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="SM" />
            <px:PXSelector ID="edViewId" runat="server" DataField="ViewId" CommitChanges="True" DataSourceID="ds" 
                           ValidateRequestMode="Disabled" AutoRefresh="True" />
            <px:PXTextEdit ID="edDescription" runat="server" DataField="Description" />
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:PXGrid ID="grdEventViewConfiguration" runat="server" Caption="General Subledger Configuration" Height="600px" Style="z-index: 100"
               Width="100%" ActionsPosition="Top" SkinID="Details" TabIndex="1100" DataSourceID="ds" SyncPosition="True" KeepPosition="True">
        <Levels>
            <px:PXGridLevel DataMember="CWABViewDetail">
                <RowTemplate>
                    <px:PXSelector ID="edAccount" runat="server" DataField="Account">
                        <GridProperties FastFilterFields="Type, Description, AccountGroupID, AccountClassID, CuryID, AccountID" />            
                    </px:PXSelector>
                </RowTemplate>
                <Columns>
                    <px:PXGridColumn DataField="Column" />
                    <px:PXGridColumn DataField="Account" Width="110px" CommitChanges="True"/>
                    <px:PXGridColumn DataField="Description" Width="200px" />
                    <px:PXGridColumn DataField="Value" Width="150px" />
                </Columns>
            </px:PXGridLevel>
        </Levels>
        <Mode InitNewRow="True" />
    </px:PXGrid>
</asp:Content>
