﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB4010.aspx.cs"
    Inherits="Page_CWAB4010" Title="General Subledger Budgets" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:pxdatasource id="ds" width="100%" runat="server" visible="true" primaryview="Filter"
        typename="AdvancedBudget.CW.Graphs.CWABEventMaint">
        <CallbackCommands>
            <px:PXDSCallbackCommand CommitChanges="True" Name="CWABRescheduleEvent" Visible="False" DependOnGrid="gridEvents"/>
        </CallbackCommands>
    </px:pxdatasource>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phF" runat="Server">
    <px:pxformview id="form2" runat="server" width="100%" datamember="Filter" caption="General" datasourceid="ds">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edViewId" runat="server" DataField="ViewId" CommitChanges="True" DataSourceID="ds" AllowEdit="True" OnValueChanged="edViewId_OnValueChanged" />
            <px:PXSelector ID="edLedgerId" runat="server" DataField="LedgerId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
            <px:PXSelector ID="edOrganizationId" runat="server" DataField="OrganizationId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
            <px:PXSelector ID="edBranchId" runat="server" DataField="BranchId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edFiscalYear" runat="server" DataField="FiscalYear" CommitChanges="True" DataSourceID="ds" />
            <px:PXSelector ID="edSubaccountId" runat="server" DataField="SubaccountId" CommitChanges="True" DataSourceID="ds" AutoCallback="true" />
            <px:PXSelector ID="edEventCD" runat="server" DataField="EventCD" CommitChanges="True" DataSourceID="ds" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXTextEdit ID="edStartPeriod" runat="server" DataField="StartPeriod" />
            <px:PXTextEdit ID="edEndPeriod" runat="server" DataField="EndPeriod" />
        </Template>
    </px:pxformview>
</asp:Content>
<asp:Content ID="cont4" ContentPlaceHolderID="phG" runat="Server">
    <px:pxgrid id="gridEvents" runat="server" datasourceid="ds" width="100%" height="150px" RepaintColumns="True"
        skinid="Details" adjustpagesize="Auto" allowpaging="True" caption="Events">
        <Levels>
            <px:PXGridLevel DataMember="Events">
                <RowTemplate>
                    <px:PXSelector ID="edStartFinPeriodId" runat="server" DataField="StartFinPeriodId" AutoRefresh="True" />
                    <px:PXSelector ID="edEndFinPeriodId" runat="server" DataField="EndFinPeriodId" AutoRefresh="True" />
                    <px:PXSelector ID="gridBranchId" runat="server" DataField="BranchId" AutoRefresh="True" />
                    <px:PXSegmentMask ID="edSubId" runat="server" DataField="SubaccountId" AutoCallback="true" />
                </RowTemplate>
                <Columns>
                    <px:PXGridColumn DataField="EventCd" CommitChanges="True" Width="120px" AllowNull="False" />
                    <px:PXGridColumn DataField="EventName" CommitChanges="True" Width="120px" />
                    <px:PXGridColumn DataField="BranchId" Width="100px" CommitChanges="True"/>
                    <px:PXGridColumn DataField="SubaccountId" Width="300px" AllowNull="False" />
                    <px:PXGridColumn DataField="StartFinPeriodId" Width="80px" CommitChanges="True"/>
                    <px:PXGridColumn DataField="EndFinPeriodId" Width="80px" CommitChanges="True"/>
                    <px:PXGridColumn DataField="BusinessAccountId" TextAlign="Left" Width="300px" />
                    <px:PXGridColumn DataField="Item" Width="120px" CommitChanges="True" />
                </Columns>
            </px:PXGridLevel>
        </Levels>
        <Mode InitNewRow="True" />
        <ActionBar PagerVisible="False">
            <CustomItems>
                <px:PXToolBarButton Text="Reschedule">
                    <AutoCallBack Command="CWABRescheduleEvent" Target="ds"/>
                </px:PXToolBarButton>
            </CustomItems>
        </ActionBar>
        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
    </px:pxgrid>
    <px:PXSmartPanel runat="server" Width="390px" ID="CWABRescheduleFilterDlg" LoadOnDemand="True" AutoRepaint="True" CaptionVisible="True" Caption="Reschedule Event" Key="CWABRescheduleFilter" CommandSourceID="ds">
        <px:PXFormView runat="server" ID="CWABRescheduleFilterDates" SkinID="Transparent" Width="100%" DataSourceID="ds" DataMember="CWABRescheduleFilter">
            <Template>
                <px:PXLayoutRule runat="server" ID="CstPXLayoutRule4" StartColumn="True" />
                <px:PXSelector runat="server" ID="edStartFinPeriodId2" DataField="StartFinPeriodId" />
                <px:PXSelector runat="server" ID="edEndFinPeriodId2" DataField="EndFinPeriodId" />
            </Template>
        </px:PXFormView>
        <px:PXPanel runat="server" ID="CWABEventPanel" SkinID="Buttons">
            <px:PXButton runat="server" ID="CWABddEventOk" Text="OK" DialogResult="OK" />
            <px:PXButton runat="server" ID="CWABddEventCancel" Text="Cancel" DialogResult="Cancel" />
        </px:PXPanel>
    </px:PXSmartPanel>
</asp:Content>
