﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormTab.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB6010.aspx.cs"
    Inherits="Page_CWAB6010" Title="Budget Allocation" %>

<%@ MasterType VirtualPath="~/MasterPages/FormTab.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:pxdatasource id="ds" width="100%" runat="server" visible="true" primaryview="BudgetAllocations"
        typename="AdvancedBudget.CW.Graphs.CWABBudgetAllocationMaint">
    </px:pxdatasource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:pxformview id="frmHeader" runat="server" width="100%" caption="Allocation Info"
        datamember="BudgetAllocations" noteindicator="True" filesindicator="True"
        activityindicator="True" activityfield="NoteActivity" defaultcontrolid="edBudgetAllocationCd"
        tabindex="100">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edBudgetAllocationCd" runat="server" DataField="BudgetAllocationCd" >
                <GridProperties FastFilterFields="Description">
                </GridProperties>
            </px:PXSelector>
            <px:PXTextEdit ID="edDescr" runat="server" DataField="Description" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXCheckBox ID="chkActive" runat="server" Checked="True" DataField="Active" />
            <px:PXSegmentMask ID="edBranchId" runat="server" DataField="BranchId"  CommitChanges="True"/>
        </Template>
    </px:pxformview>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:pxtab id="tab" runat="server" datamember="CurrentBudgetAllocation"
        height="300px" width="100%">
        <AutoSize Enabled="True" MinHeight="300" Container="Window" />
        <Items>
            <px:PXTabItem Text="Allocation">
                <Template>
                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
                    <px:PXSelector ID="edFiscalYear" runat="server" DataField="FiscalYear" AutoRefresh="True"/>					
                    <px:PXDropDown CommitChanges="True" ID="edDistributionMethod" runat="server" DataField="DistributionMethod" />
                    <px:PXSelector CommitChanges="True" ID="edAllocLedgerID" runat="server" DataField="AllocationLedgerId" />
                    <px:PXSelector ID="edSourceLedgerID" runat="server" DataField="SourceLedgerId" AutoRefresh="True">
                        <Parameters>
                            <px:PXControlParam ControlID="tab" Name="CWABBudgetAllocation.allocationLedgerId" 
                                               PropertyName="DataControls[&quot;edAllocLedgerID&quot;].Value" />
                        </Parameters>
                        <CallBackMode ContainerID="tab" PostData="Container" />
                    </px:PXSelector>
                    <px:PXNumberEdit ID="edSortOrder" runat="server" DataField="SortOrder" Size="S" />
                    <px:PXDateTimeEdit ID="edLastRevisionOn" runat="server" DataField="LastRevisionOn" />
                </Template>
            </px:PXTabItem>
            <px:PXTabItem Text="Source Accounts">
				<Template>
					<px:PXGrid ID="grSource" runat="server"  Height="300px" Width="100%" SkinID="DetailsInTab" >
						<Levels>
							<px:PXGridLevel DataMember="Source">
								<RowTemplate>
									<px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
									<px:PXSegmentMask ID="edSubaccountId" runat="server" DataField="SubaccountId" SelectMode="Segment"
										Wildcard="?" AutoCallBack="true"/>
									<px:PXSegmentMask ID="edContrSubaccountId" runat="server" DataField="ContrSubaccountId" AutoCallback="true"/>
									<px:PXNumberEdit ID="edLimitAmount" runat="server" DataField="LimitAmount" />
									<px:PXNumberEdit ID="edLimitPercent" runat="server" DataField="LimitPercent" />
									<px:PXDropDown ID="edPercentLimitType" runat="server" DataField="PercentLimitType" />
									<px:PXSegmentMask CommitChanges="True" ID="PXSegmentMask1" runat="server" DataField="BranchId" />
								</RowTemplate>
								<Columns>
									<px:PXGridColumn DataField="BranchId" Width="120px" AutoCallBack="True" />
									<px:PXGridColumn DataField="AccountId" Width="120px" CommitChanges="true" />
									<px:PXGridColumn DataField="SubaccountId" Width="120px" />
									<px:PXGridColumn DataField="ContrAccountId" Width="120px" CommitChanges="true" />
									<px:PXGridColumn DataField="ContrSubaccountId" Width="120px" />
									<px:PXGridColumn DataField="LimitAmount" TextAlign="Right" Width="100px" CommitChanges="true"/>
									<px:PXGridColumn DataField="LimitPercent" TextAlign="Right" Width="100px" CommitChanges="true"/>
								</Columns>
							</px:PXGridLevel>
						</Levels>
						<AutoSize Enabled="True" />
						<ActionBar>
							<Actions>
								<NoteShow Enabled="False" />
							</Actions>
						</ActionBar>
						<Mode AllowUpload="True" InitNewRow="True" />
					</px:PXGrid>
				</Template>
			</px:PXTabItem>
            <px:PXTabItem Text="Destination Accounts">
				<Template>
					<px:PXGrid ID="grDest" runat="server"  Height="300px" Width="100%" SkinID="DetailsInTab">
						<Levels>
							<px:PXGridLevel DataMember="Destination">
                                <RowTemplate>
                                    <px:PXSegmentMask ID="destinationSubId" runat="server" DataField="SubaccountId" AutoCallback="true" />
                                </RowTemplate>
								<Columns>
									<px:PXGridColumn DataField="BranchId" Width="100px" AutoCallBack="True" CommitChanges="true"/>
									<px:PXGridColumn DataField="AccountId" Width="120px" CommitChanges="true"/>
									<px:PXGridColumn DataField="SubaccountId" Width="120px" />                                    
                                    <px:PXGridColumn DataField="Weight" TextAlign="Right" Width="100px" RenderEditorText="True" />
								</Columns>
							</px:PXGridLevel>
						</Levels>
						<Mode InitNewRow="True" AllowUpload="True" />
						<AutoSize Enabled="True" />
						<ActionBar>
							<Actions>
								<NoteShow Enabled="False" />
							</Actions>
						</ActionBar>
					</px:PXGrid>
                    <px:PXFormView ID="formWeightTotal" runat="server" DataMember="CurrentBudgetAllocation" 
                                   RenderStyle="Simple" SkinID="Transparent">
                        <Template>
                            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="M" ControlSize="SM" />
                            <px:PXNumberEdit ID="edWeightTotal" runat="server" DataField="WeightTotal" Enabled="False" />
                        </Template>
                    </px:PXFormView>
				</Template>
			</px:PXTabItem>
        </Items>
    </px:pxtab>
</asp:Content>
