﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB6030.aspx.cs" 
    Inherits="Page_CWAB6030" Title="Approve Budget Allocations" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" Width="100%" runat="server" Visible="true" PrimaryView="Filter" 
                     TypeName="AdvancedBudget.CW.Graphs.CWABBudgetAllocationApproveProcess">
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form1" runat="server" Width="100%" DataMember="Filter" DataSourceID="ds">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edOrganizationId" runat="server" DataField="OrganizationId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
            <px:PXSelector ID="edBranchId" runat="server" DataField="BranchId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edLedgerId" runat="server" DataField="LedgerId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
            <px:PXSelector ID="edFiscalYear" runat="server" DataField="FiscalYear" CommitChanges="True" DataSourceID="ds" />
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
     <px:PXGrid ID="grid" runat="server" Height="150px" Style="z-index: 100" Width="100%" AllowPaging="true" AdjustPageSize="Auto" SkinID="PrimaryInquire" 
                AllowSearch="true" BatchUpdate="true" Caption="Budget Allocations" SyncPosition="true" >
        <ActionBar DefaultAction="ViewDocument" />
        <Levels>
            <px:PXGridLevel DataMember="ApproveBudgetAllocations">
                <RowTemplate>
                    <px:PXCheckBox ID="chkSelected" runat="server" DataField="Selected" AlreadyLocalized="False" />
                    <px:PXSegmentMask ID="appoveSubId" runat="server" DataField="SubaccountId" AutoCallback="true" />
                </RowTemplate>
                <Columns>
                    <px:PXGridColumn DataField="Selected" TextAlign="Center" Type="CheckBox" AllowCheckAll="True"
                                     AllowSort="False" AllowMove="False" Width="30px" />
                    <px:PXGridColumn DataField="BudgetAllocationCd" Width="200px" LinkCommand="EditDetail" />
                    <px:PXGridColumn DataField="AccountId" Width="200px" />
                    <px:PXGridColumn DataField="SubaccountId" RenderEditorText="True" Width="150px" />
                    <px:PXGridColumn DataField="AllocationAmount" Width="100px" />
                    <px:PXGridColumn DataField="LedgerId" Width="100px" />
                    <px:PXGridColumn DataField="OrganizationId" Width="100px" />
                    <px:PXGridColumn DataField="BranchId" Width="100px" />
                    <px:PXGridColumn DataField="FiscalYear" Width="100px" />
                </Columns>
            </px:PXGridLevel>
        </Levels>
        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
    </px:PXGrid>
</asp:Content>
