﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB7010.aspx.cs"
    Inherits="Page_CWAB7010" Title="Budget" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" Width="100%" runat="server" Visible="true" PrimaryView="Lines"
        TypeName="AdvancedBudget.GL.Graphs.CWABGlBudgetLineMaint">
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form1" runat="server" Width="100%" DataMember="Lines" DataSourceID="ds">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edOrganizationId" runat="server" DataField="OrganizationId" DataSourceID="ds" />
            <px:PXTextEdit ID="edBranchID" runat="server" DataField="BranchID" Enabled="False" DataSourceID="ds" />
            <px:PXTextEdit ID="edAccountID" runat="server" DataField="AccountID" Enabled="False" DataSourceID="ds" />
            <px:PXTextEdit ID="edSubID" runat="server" DataField="SubID" Enabled="False" DataSourceID="ds" />
            <px:PXTextEdit ID="edDescription" runat="server" DataField="Description" Enabled="False" DataSourceID="ds" />
            <px:PXTextEdit ID="edLedgerID" runat="server" DataField="LedgerID" Enabled="False" DataSourceID="ds" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXTextEdit ID="edFinYear" runat="server" DataField="FinYear" Enabled="False" DataSourceID="ds" />
            <px:PXTextEdit ID="edStatus" runat="server" DataField="UsrCWABStatus" Enabled="False" DataSourceID="ds" />
            <px:PXTextEdit ID="edSourceType" runat="server" DataField="UsrCWABSourceType" Enabled="False" DataSourceID="ds" />
            <px:PXNumberEdit ID="edAmount" runat="server" DataField="Amount" Enabled="False" DataSourceID="ds" />
            <px:PXNumberEdit ID="edAllocatedAmount" runat="server" DataField="AllocatedAmount" Enabled="False" DataSourceID="ds" />
            <px:PXTextEdit ID="edGroupID" runat="server" DataField="GroupID" Enabled="False" Visible="False" DataSourceID="ds" />
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:PXTab ID="tab" runat="server" Width="100%">
        <Items>
            <px:PXTabItem Text="Approval Details">
                <Template>
                    <px:PXGrid ID="gridApproval" runat="server" DataSourceID="ds" Width="100%" SkinID="DetailsInTab" NoteIndicator="True">
                        <AutoSize Enabled="True" />
                        <Mode AllowAddNew="False" AllowDelete="False" AllowUpdate="False" />
                        <Levels>
                            <px:PXGridLevel DataMember="ApprovalSteps">
                                <Columns>
                                    <px:PXGridColumn DataField="CWABApproverEmployee__AcctCD" />
                                    <px:PXGridColumn DataField="CWABApproverEmployee__AcctName" />
                                    <px:PXGridColumn DataField="WorkgroupID" />
                                    <px:PXGridColumn DataField="CWABApprovedByEmployee__AcctCD" />
                                    <px:PXGridColumn DataField="CWABApprovedByEmployee__AcctName" />
                                    <px:PXGridColumn DataField="ApproveDate" />
                                    <px:PXGridColumn DataField="Status" AllowNull="False" AllowUpdate="False" RenderEditorText="True" />
                                    <px:PXGridColumn DataField="Reason" AllowUpdate="False" />
                                    <px:PXGridColumn DataField="AssignmentMapID"  Visible="false" SyncVisible="false" />
                                    <px:PXGridColumn DataField="RuleID" Visible="false" SyncVisible="false" />
                                    <px:PXGridColumn DataField="StepID" Visible="false" SyncVisible="false" />
                                    <px:PXGridColumn DataField="CreatedDateTime" Visible="false" SyncVisible="false" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
        </Items>
    </px:PXTab>
</asp:Content>
