<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB8010.aspx.cs"
Inherits="Page_CWAB8010" Title="Subledger Configuration by Business Accounts" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" Runat="Server">
    <px:PXDataSource ID="ds" Width="100%" runat="server" Visible="true" PrimaryView="BusinessAccountViews"
        TypeName="AdvancedBudget.CW.Graphs.CWABSubledgerBusinessAccountMaint" >
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" Runat="Server">
    <px:PXFormView ID="form" runat="server" Width="100%" DataMember="BusinessAccountViews" Caption="Business Account Views" DefaultControlID="edViewId">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="SM" />
            <px:PXSelector ID="edViewId" runat="server" DataField="ViewId" CommitChanges="True" DataSourceID="ds" 
                           ValidateRequestMode="Disabled" AutoRefresh="True" />
            <px:PXTextEdit ID="edDescription" runat="server" DataField="Description" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="SM" />
            <px:PXSelector ID="edFiscalYear" runat="server" DataField="FiscalYear" CommitChanges="True" DataSourceID="ds" />
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" Runat="Server">
    <px:PXGrid ID="grdBusinessAccountViewConfiguration" runat="server" Caption="Bus. Acct. Subledger Configuration" Height="600px" Style="z-index: 100"
               Width="100%" ActionsPosition="Top" SkinID="Details" TabIndex="1100" DataSourceID="ds" SyncPosition="True" KeepPosition="True">
        <Levels>
            <px:PXGridLevel DataMember="BusinessAccountViewDetails">
                <RowTemplate>
                    <px:PXSelector ID="edAccount" runat="server" DataField="AccountId">
                        <GridProperties FastFilterFields="Type, Description, AccountGroupID, AccountClassID, CuryID, AccountID" />            
                    </px:PXSelector>
                    <px:PXSegmentMask ID="edSubId" runat="server" DataField="SubId" AutoCallback="true" />
                </RowTemplate>
                <Columns>
                    <px:PXGridColumn DataField="AccountId" Width="120px" CommitChanges="True"/>
                    <px:PXGridColumn DataField="AccountDescription" Width="200px" />
                    <px:PXGridColumn DataField="SubId" Width="300px" CommitChanges="True" AllowNull="False"/>
                    <px:PXGridColumn DataField="SubDescription" Width="200px" />
                    <px:PXGridColumn DataField="BranchId" Width="150px" CommitChanges="True"/>
                    <px:PXGridColumn DataField="DefaultAmount" Width="100px" />
                    <px:PXGridColumn DataField="SourceType" Width="100px" />
                </Columns>
            </px:PXGridLevel>
        </Levels>
        <Mode InitNewRow="True" AllowUpload="True" />
    </px:PXGrid>
</asp:Content>
