﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAB8020.aspx.cs"
    Inherits="Page_CWAB8020" Title="Business Account Subledger Budgets" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" Width="100%" runat="server" Visible="True" PrimaryView="Filter"
        TypeName="AdvancedBudget.CW.Graphs.CWABBusinessAccountSubledgerBudgetMaint">
    </px:PXDataSource>
    <CallbackCommands>
        <px:PXDSCallbackCommand Name="Distribute" Visible="False" CommitChanges="True" DependOnGrid="grdBusinessAccountViewDetails"
                                RepaintControls="Bound" />
    </CallbackCommands>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="edViewFilter" runat="server" Width="100%" DataMember="Filter" Caption="General" DataSourceID="ds">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edViewId" runat="server" DataField="ViewId" CommitChanges="True" DataSourceID="ds" AllowEdit="True" />
            <px:PXSelector ID="edLedgerId" runat="server" DataField="LedgerId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
            <px:PXSelector ID="edFiscalYear" runat="server" DataField="FiscalYear" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" OnValueChanged="edFiscalYear_OnValueChanged" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edOrganizationId" runat="server" DataField="OrganizationId" AutoRefresh="True" CommitChanges="True" DataSourceID="ds" />
            <px:PXSelector ID="edFilterAccountId" runat="server" DataField="AccountId" CommitChanges="True" DataSourceID="ds" />
            <px:PXSelector ID="edSubaccountId" runat="server" DataField="SubId" CommitChanges="True" DataSourceID="ds" AutoCallback="true" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="M" />
            <px:PXSelector ID="edBranchId" runat="server" DataField="BranchId" CommitChanges="True" AutoRefresh="True" DataSourceID="ds" />
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont4" ContentPlaceHolderID="phG" runat="Server">
    <PX:PXGrid ID="grdBusinessAccountViewDetails" runat="server" DataSourceID="ds" Width="100%" Height="150px" RepaintColumns="True"
        SkinID="Details" AdjustPageSize="Auto" AllowPaging="True" SyncPosition="True" KeepPosition="True" Caption="General">
        <Levels>
            <px:PXGridLevel DataMember="BusinessAccountViewDetails">
                <RowTemplate>
                    <px:PXCheckBox ID="chkSelected" runat="server" DataField="Selected" AlreadyLocalized="False" CommitChanges="True"/>
                    <px:PXSelector ID="edAccountId" runat="server" DataField="AccountId">
                        <GridProperties FastFilterFields="Type, Description, AccountGroupID, AccountClassID, CuryID, AccountID" />            
                    </px:PXSelector>
                    <px:PXSegmentMask ID="edSubId" runat="server" DataField="SubId" AutoCallback="True" />
                    <px:PXSegmentMask ID="edBusinessAccountId" runat="server" DataField="BusinessAccountId" AutoRefresh="True" FilterByAllFields="True" ></px:PXSegmentMask>
                </RowTemplate>
                <Columns>
                    <px:PXGridColumn DataField="Selected" TextAlign="Center" Type="CheckBox" AllowCheckAll="True"
                                     AllowSort="False" AllowMove="False" Width="30px" />
                    <px:PXGridColumn DataField="BranchId" Width="150px" CommitChanges="True" />
                    <px:PXGridColumn DataField="AccountId" Width="120px" CommitChanges="True" />
                    <px:PXGridColumn DataField="AccountDescription" Width="200px" />
                    <px:PXGridColumn DataField="SubId" Width="300px" CommitChanges="True" AllowNull="False" />
                    <px:PXGridColumn DataField="SubDescription" Width="200px" />
                    <px:PXGridColumn DataField="BusinessAccountId" TextAlign="Left" Width="300px" CommitChanges="True" />
                    <px:PXGridColumn DataField="BusinessDescription" Width="200px" />
                    <px:PXGridColumn DataField="Item" Width="120px" CommitChanges="True" />
                    <px:PXGridColumn DataField="Status" Width="120px" CommitChanges="True" />
                    <px:PXGridColumn DataField="SourceType" Width="100px" CommitChanges="True" />
                    <px:PXGridColumn DataField="Amount" Width="100px" CommitChanges="True" />
                    <px:PXGridColumn DataField="AllocatedAmount" Width="100px" CommitChanges="True" />
                </Columns>
            </px:PXGridLevel>
        </Levels>
        <Mode AllowUpload="True" />
        <ActionBar PagerVisible="False" Position="TopAndBottom">
            <CustomItems>
                <px:PXToolBarButton Text="Distribute" DependOnGrid="grdBusinessAccountViewDetails">
                    <AutoCallBack Command="Distribute" Target="ds"/>
                </px:PXToolBarButton>
            </CustomItems>
        </ActionBar>
        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
    </PX:PXGrid>
    <px:PXSmartPanel ID="spDistributeDlg" runat="server" Key="DistributeFilter" AutoCallBack-Command="Refresh"
                     AutoCallBack-Target="DistributePrm" AutoCallBack-Enabled="true" LoadOnDemand="True"
                     AcceptButtonID="cbOk" CancelButtonID="cbCancel" Caption="Distribute Year Amount by Periods"
                     CaptionVisible="True" DesignView="Content" CommandSourceID="ds" Width ="390px">
        <px:PXFormView ID="DistributePrm" runat="server" DataSourceID="ds" Style="z-index: 108"
                       Width="100%" DataMember="DistributeFilter" Caption="Dispose Parameters" SkinID="Transparent">
            <Activity Height="" HighlightColor="" SelectedColor="" Width="" ></Activity>
            <Template>
                <px:PXLayoutRule ID="PXLayoutRule2" runat="server" ></px:PXLayoutRule>
                <px:PXDropDown ID="edMethod" runat="server" DataField="Method" Width="220" AutoRefresh="true" />
            </Template>
        </px:PXFormView>
        <px:PXPanel ID="panelButtonsOkCancel" runat="server" SkinID="Buttons">
            <px:PXButton ID="cbOk" runat="server" Text="OK" DialogResult="OK" />
            <px:PXButton ID="cbCancel" runat="server" Text="Cancel" DialogResult="Cancel" />
        </px:PXPanel>
    </px:PXSmartPanel>
</asp:Content>
